CUPSDOPRINT(1)

NAME
cupsdoprint - KDE command line tool to print files via CUPS

SYNOPSIS
cupsdoprint [-H host[:port]] [-P dest] [-J name] [-o opt=value[,...]]
    [-U login[:password]] files...

DESCRIPTION
cupsdoprint is a command line tool to print files using the CUPS printing system.

cupsdoprint does not support printing from stdin.

You can use lpoptions -l -p Printername to discover the options a certain printer supports.

OPTIONS

-?  show help options

-H host:port
    cups host to print to

-J name
    print job name
    default: "KDE Print System"

-o opt=value
    options to use

-P dest
    printer to use

-U login:password
    login and password to use

EXAMPLE

  cupsdoprint -P HPLaserJet4L -H localhost:631 -U john
    -o Copies=10,PageSize=A4 /tmp/file.ps

Prints 10 copies in format A4 of the file /tmp/file.ps as user john via localhost:631 on the printer HPLaserJet4L.

SEE ALSO
www.linuxprinting.org Information about printing under UNIX

lp(1), lpr(1), lpoptions(1)

AUTHORS
Michael Goffioul <kdeprint@swing.be>
Please use http://bugs.kde.org to report bugs, do not mail the author directly.

This manual page was written by Holger Hartmann <Holger_Hartmann@gmx.de> for the Debian Project (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 or any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.